Home > Notícias

OpenOffice.org alerta para três vulnerabilidades graves

Organização responsável pelo pacote corporativo alerta para três brechas que podem abrir computador do usuário para ataques remotos

Por Agam Shah, para o IDG Now!*

03/07/2006 às 18h04

Foto:

Organização responsável pelo pacote corporativo alerta para três brechas que podem abrir computador do usuário para ataques remotos

O OpenOffice.org está alertando usuário de brechas de segurança que podem comprometer o software de produtividade OpenOffice.org e dar aos hackers acesso aos recursos de todo o sistema.

As vulnerabilidades afetam usuários das versões 2.0.x e 1.1.x do OpenOffice.org, mesmo que ainda não existam ataques conhecidos, disse a companhia em um anúncio divulgado no final da última semana. A companhia sugere que usuários das versões afetadas do OpenOffice.org atualizem para o software 2.0.3, lançado na última semana.

Um pacote de correção para o OpenOffice.org  1.1.x estará disponível em pouco tempo, disse a companhia.

Uma brecha permite que hackers usem certas funções Java para acessar um ambiente de execução de segurança para acessar recursos do sistema. Uma solução para esta vulnerabilidade é desabilitar applets de Java das versões atingidas do OpenOffice.org, disse a companhia.

Outra vulnerabilidade injeta códigos macro em documentos sem notificações e dá aos hackers acesso total aos recursos do micro. Já a terceira brecha faz com que documentos XML mal formulados causem um ataque do tipo "estouro de memória" (do inglês, "buffer overflow") e forcem o OpenOffice.org a fechar.

As vulnerabilidades também afetam usuários das versões 6, 7 e 8 do pacote corporativo StarOffice Office Suite, de acordo com a consultoria de segurança Secunia.

*Agam Shah é editor do IDG News Service, em São Francisco.

Tags

Junte-se a nós e receba nossas melhores histórias de tecnologia. Newsletter por e-mail Newsletter por e-mail